<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:tool="http://schemas.android.com/tools">

	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
	<uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
	<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
	<uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

	<application
		android:name=".Bimba"
		android:allowBackup="true"
		android:dataExtractionRules="@xml/data_extraction_rules"
		android:enableOnBackInvokedCallback="true"
		android:fullBackupContent="@xml/backup_rules"
		android:icon="@mipmap/ic_launcher"
		android:label="@string/app_name"
		android:localeConfig="@xml/locales_config"
		android:roundIcon="@mipmap/ic_launcher_round"
		android:supportsRtl="true"
		android:theme="@style/Theme.Bimba.Style"
		tool:targetApi="33">
		<activity
			android:name=".settings.SettingsActivity"
			android:exported="false"
			android:label="@string/title_settings" />
		<activity
			android:name=".AboutActivity"
			android:exported="false" />
		<activity
			android:name=".search.LineGraphActivity"
			android:exported="false"
			android:theme="@style/Theme.Bimba.Style.NoActionBar" />
		<activity
			android:name=".settings.ServerChooserActivity"
			android:exported="false">
			<meta-data
				android:name="android.app.lib_name"
				android:value="" />
		</activity>
		<activity android:name=".onboarding.OnboardingActivity" />
		<activity
			android:name=".settings.feeds.FeedChooserActivity"
			android:exported="false" />
		<activity
			android:name=".onboarding.FirstRunActivity"
			android:exported="true"
			android:theme="@style/Theme.Bimba.Splash">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />

				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
		</activity>
		<activity
			android:name=".departures.DeparturesActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.VIEW" />

				<category android:name="android.intent.category.DEFAULT" />
				<category android:name="android.intent.category.BROWSABLE" />

				<data android:scheme="http" />
				<data android:scheme="https" />
				<data android:host="www.peka.poznan.pl" />
				<data android:pathPrefix="/vm" />
			</intent-filter>
			<intent-filter>
				<action android:name="android.intent.action.VIEW" />

				<category android:name="android.intent.category.DEFAULT" />
				<category android:name="android.intent.category.BROWSABLE" />

				<data android:scheme="http" />
				<data android:scheme="https" />
				<data android:host="rj.metropoliaztm.pl" />
				<data android:pathPrefix="/redir/stop" />
			</intent-filter>
		</activity>
		<activity
			android:name=".search.ResultsActivity"
			android:exported="false"
			android:label="@string/title_activity_results" />
		<activity
			android:name=".dashboard.MainActivity"
			android:exported="false"
			android:windowSoftInputMode="adjustPan" />
	</application>

</manifest>